# Get Groups

> Source: https://truto.one/docs/api-reference/unified-user-directory-api/groups/get/

`GET /unified/user-directory/groups/{id}`

Resource: **Groups** · API: **Unified User Directory API**

## Supported integrations

15Five, Accelo, ActiveCampaign, Adaptive, Aircall, Airtable, Airtable SCIM, Amplitude SCIM, Apono, Asana, Asset Panda, Atlassian, Bitwarden, BlackLine, Buildkite, Chronosphere, CockroachDB Cloud, Confluence On Prem , Coupa, Databricks, DevRev, Dixa, Egnyte, Files.com, Fivetran, Freshcaller, Freshservice, Front, FuseDesk, Google CloudSQL, GitLab, Gladly, HaloITSM, Hashicorp Terraform Cloud, HelloID, Heroku, Hootsuite, Ironclad, JFrog, Keeper , KnowBe4, LaunchDarkly, LearnWorlds, LiveAgent, Make, Mode, Netskope SCIM, New Relic, Okta, OneLogin, OpenVPN CloudConnexa, Opsgenie, Pendo SCIM, Pipeline CRM, Pylon, Qlik Sense, Rippling, Rithum, Rollbar, Rootly, Segment, ServiceNow, Sigma Computing, Sisense, SolarWinds Service Desk, Sophos, Statsig, Streak, Survey Monkey, TalentLMS, TeamViewer, Teamwork Project Management, Trengo, Vanta, Veeva Vault, Vercel, Workato, Wrike, Zoho Meeting, Zoho Vault, Zscaler, Zscaler ZIA

## Path parameters

- **`id`** _(string, required)_
  The ID of the resource.

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.
- **`workspace_id`** _(unknown)_
- **`group_type`** _(string)_
  Type of the group.
  Allowed: `department`, `group`, `team`
- **`organization_id`** _(string)_
  Slug of the organization (e.g. "truto-1")
- **`name`** _(string)_
  Name of the group.
- **`user_id`** _(string)_
  The unique identifier for a user.

## Response body

- **`id`** _(string, required)_
  Unique identifier for the group.
- **`name`** _(string)_
  Name of the group.
- **`description`** _(string)_
  Description of the group.
- **`organization`** _(string)_
  Unique identifier for the organization the group belongs to.
- **`group_type`** _(string)_
  Type of the group.
  Allowed: `team`, `department`, `group`
- **`created_at`** _(string)_
  Date and time when the group was created.
- **`updated_at`** _(string)_
  Date and time when the group was last updated.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/unified/user-directory/groups/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/user-directory/groups/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/user-directory/groups/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'user-directory',
  'groups',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "user-directory",
        "groups",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
```
